<?php
/**
  * AdminChronopost
  * @category AdminTab
  *
  * @author Oxileo SAS <contact@oxileomicro.fr>
  * @copyright Oxileo SAS
  * @license Tous droits réservés / Le droit d'auteur s'applique (All rights reserved / French copyright law applies)
  * @version 1.0
  */


include_once(PS_ADMIN_DIR.'/../classes/AdminTab.php');
include_once dirname(__FILE__).'/nusoap/lib/nusoap.php';

class AdminChronopost extends AdminTab
{
    public function display()
    {
        echo '<script type="text/javascript" src="../modules/chronorelais/js/tablesort.js"></script>
            <style type="text/css">@import url("../modules/chronorelais/css/tablesort.css");</style>
            <script type="text/javascript">
                $(document).ready(function () {
                  $(\'.clearme\').focus(function() {
                    $(this).val("");
                  });
                });
            </script>';

        echo '<table cellpadding="0" cellspacing="0" class="sortable-onload-0 rowstyle-alt colstyle-alt no-arrow"><thead><tr class="nodrag nodrop"><th class="sortable-numeric">ID commande</th><th>Editer l\'étiquette</th></thead>
            <tbody>';
        foreach($this->_getChronoOrders() as $o)
        {
            echo '<tr><td>'.$o.'</td><td><form target="_blank" action="../modules/chronorelais/postSkybill.php" method="post">
                <input type="hidden" name="orderid" value="'.$o.'"/>                
                <input type="text" name="length" value="Longueur" class="clearme" id="length"/>
                <input type="text" name="width" value="Largeur"     class="clearme" id="width"/>
                <input type="text" name="height" value="Hauteur"     class="clearme" id="height"/>
                <input type="submit" value="OK"/>
                </form></td></tr>';
        }

        echo '</tbody></table>';    
    }


    private function _getEtiquettes()
    {
    }
    
    private function _getChronoOrders()
    {
        $r=array();
        $o=Order::getOrdersIdByDate(date("Y-m-d H:i:s", 0), date("Y-m-d H:i:s"));

        foreach($o as $i)
        {

            $or=new Order($i); 
/*
            if((int)$i==7767) 
            {
                echo $or->id_carrier.' = '.Configuration::get('CHRONO_CARRIER');
                echo '<br/>'.OrderHistory::getLastOrderState($i)->id.' = '.Configuration::get('CHRONO_STATE');
            }
*/
            if(($or->id_carrier==Configuration::get('CHRONOPOST_CARRIER') || $or->id_carrier==Configuration::get('CHRONO_CARRIER'))
                && OrderHistory::getLastOrderState($i)->id==Configuration::get('CHRONO_STATE'))
                $r[]=$i;
        }
        return $r;
    }
}


