<?php
/**
  * AdminChronopost
  * @category AdminTab
  *
  * @author Oxileo SAS <contact@oxileomicro.fr>
  * @copyright Oxileo SAS
  * @license Tous droits réservés / Le droit d'auteur s'applique (All rights reserved / French copyright law applies)
  * @version 2.0
  */


include_once(PS_ADMIN_DIR.'/../classes/AdminTab.php');

class AdminImportChronopost extends AdminTab
{
    public function display()
    {
        echo '<h2>Gestion des imports via une application tierce (ex: ChronoShip Office, ChronoShip Station...)</h2>';
        echo '<p>&nbsp;</p>
            <div class="hint" name="help_box" style="display: block;padding:5px 5px 5px 40px; "><p>
                Utilisez cette fonction pour affecter en masse des numéros de colis Chronopost aux commandes souhaitées. Cette fonction est utile si vous éditez vos bordereaux d\'envoi Chronopost depuis une application tierce (ex: ChronoShip Office, ChronoShip Station...).</p><p>
  Le fichier attendu doit être au format CSV avec séparateur point-virgule.</p>
<p>
  Il doit contenir 2 colonnes : </p><ol><li>la référence PrestaShop de la commande</li><li>le numéro d\'envoi Chronopost.</li>
</ol><p>Cela aura pour effet de passer les commandes "en cours de livraison" et de transmettre un mail aux clients leur indiquant leur numéro d\'envoi Chronopost ainsi qu\'un lien pour suivre leurs colis.</p>
<p style="text-align:right"><a class="button_large" href="../modules/chronopost/csv/importChronopost.csv">Télécharger un fichier d\'exemple</a></p>
            </div>
        ';
        echo '<p>&nbsp;</p>';
        echo '<form action="../modules/chronopost/importExport.php" method="POST" enctype="multipart/form-data" target="_blank">';
        echo '<input type="hidden" name="shared_secret" value="'.Configuration::get('CHRONOPOST_SECRET').'"/>';
        echo '<fieldset><legend><img src="../img/admin/export.gif"/>Import</legend>';
        echo '<label>Fichier d\'import</label>';
        echo '<div class="margin-form"><input type="file" name="import"/></div>';
        echo '<input type="submit" value="Importer" class="button clear" style="display:block;margin-left:300px;"/>';
        echo '</fieldset>';
        echo '</form>';
        echo '<p>&nbsp;</p>';

        
    }


}




